<?php

declare(strict_types=1);

namespace App\Filament\Components\Table;

use Filament\Tables\Columns\TextColumn;

class ConversationTextColumn extends TextColumn
{
    public static function create(): static
    {
        return parent::make('conversation.id')
            ->translateLabel()
            ->sortable(['conversation.id'])
            ->toggleable()
            ->toggledHiddenByDefault();
    }
}
